//po4a: entry man manual
= isosize(8)
:doctype: manpage
:man manual: System Administration
:man source: util-linux {release-version}
:page-layout: base
:command: isosize

== NAME

isosize - output the length of an iso9660 filesystem

== SYNOPSIS

*isosize* [options] _iso9660_image_file_

== DESCRIPTION

This command outputs the length of an iso9660 filesystem that is contained in the specified file. This file may be a normal file or a block device (e.g. _/dev/hdd_ or _/dev/sr0_). In the absence of any options (and errors), it will output the size of the iso9660 filesystem in bytes. This can now be a large number (>> 4 GB).

== OPTIONS

*-x*, *--sectors*::
Show the block count and block size in human-readable form. The output uses the term "sectors" for "blocks".

*-d*, *--divisor* _number_::
Only has an effect when *-x* is not given. The value shown (if no errors) is the iso9660 file size in bytes divided by _number_. So if _number_ is the block size then the shown value will be the block count.
+
The size of the file (or block device) holding an iso9660 filesystem can be marginally larger than the actual size of the iso9660 filesystem. One reason for this is that cd writers are allowed to add "run out" sectors at the end of an iso9660 image.

include::man-common/help-version.adoc[]

== EXIT STATUS

*0*::
success
*1*::
generic failure, such as invalid usage
*32*::
all failed
*64*::
some failed

include::man-common/bugreports.adoc[]

include::man-common/footer.adoc[]

ifdef::translation[]
include::man-common/translation.adoc[]
endif::[]
